E-MailRelay

Classes | Namespaces
gsmtpserverbufferin.h File Reference
`#include "gdef.h"`
`#include "gsmtpserverprotocol.h"`
`#include "geventstate.h"`
`#include "glinebuffer.h"`
`#include "gtimer.h"`
`#include "gexception.h"`
`#include "gslot.h"`
Include dependency graph for gsmtpserverbufferin.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GSmtp::ServerBufferIn
| A helper class for GSmtp::ServerProtocol that does buffering of data received from the remote peer and apply()s it to the server protocol. More...
struct | GSmtp::ServerBufferIn::Config
| A configuration structure for GSmtp::ServerBufferIn. More...

## Namespaces
namespace | GSmtp
| SMTP classes.